/* dxdiagn
 *
 * Copyright 2003 TransGaming Technologies
 *
 * David Hammerton (david@transgaming.com)
 */

#include "windef.h"
#include "winbase.h"
#include "winuser.h"
#include "winreg.h"
#include "wine/debug.h"
#include "winerror.h"

WINE_DEFAULT_DEBUG_CHANNEL(dxdiagn);

/***********************************************************************
 * DllMain [Internal]
 */

BOOL WINAPI DllMain (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    TRACE("%i,%lx,%p\n", hinstDLL, fdwReason, lpvReserved);

    switch (fdwReason)
    {
    case DLL_PROCESS_ATTACH:
        break;
    case DLL_THREAD_ATTACH:
        break;
    case DLL_THREAD_DETACH:
        break;
    case DLL_PROCESS_DETACH:
        break;
    }

    return TRUE;
}

/***********************************************************************
 *             DllCanUnloadNow (DXDIAGN.@)
 */
HRESULT WINAPI DXDIAGN_DllCanUnloadNow(void)
{
    FIXME("(void): stub\n");
    return S_OK;
}

/***********************************************************************
 *             DllRegisterServer (DXDIAGN.@)
 */
HRESULT WINAPI DXDIAGN_DllRegisterServer(void)
{
    FIXME("(void): stub\n");
    return S_OK;
}

/***********************************************************************
 *             DllUnregisterServer (DXDIAGN.@)
 */
HRESULT WINAPI DXDIAGN_DllUnregisterServer(void)
{
    FIXME("(void): stub\n");
    return S_OK;
}

